/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: item_test.cc 2250 2006-01-23 13:41:50Z svntobi $
 *
 */

#include <cxxtest/TestSuite.h>
#include "item.h"

class ItemTest: public CxxTest::TestSuite
{
    public:
        void TestItem()
        {
            Item item1("foo", Rfc822DateTime("01 Jan 2002 00:00::00 GMT"), "bar", "baz");
            TS_ASSERT_EQUALS("foo", item1.GetTitle());
            TS_ASSERT_EQUALS("01.01.02", item1.GetDate().ToShortString());
            TS_ASSERT_EQUALS("bar", item1.GetDescription());
            TS_ASSERT_EQUALS("baz", item1.GetMp3Url());
        }

        void TestIsPodcast()
        {
            Item item1("", Rfc822DateTime(""), "", "");
            TS_ASSERT(!item1.IsPodcast());

            Item item2("", Rfc822DateTime(""), "", "mp3Url");
            TS_ASSERT(item2.IsPodcast());
        }
};
